Name: tgif
Version: 4.1.43
Release: alt2
License: QPL
Group: Graphics
Url: http://bourbon.cs.umd.edu:8001/tgif/

Source: %name-QPL-%version.tar.gz
Patch: tgif-config.patch

Summary: tgif 2-D drawing package
Summary(ru_RU.KOI8-R): Tgif -  2- 

# Automatically added by buildreq on Tue Sep 02 2003
BuildRequires: XFree86-devel glibc-kernheaders
BuildRequires: gcc coreutils

%description
Xlib based interactive 2-D drawing facility under X11.
Supports hierarchical construction of drawings and easy navigation between
sets of drawings.  It\'s also a hyper-graphics
(or hyper-structured-graphics) browser on the World-Wide-Web.

Please see the README file for various information including copyright notices.

%description -l ru_RU.KOI8-R
Tgif     .    
      .   
   WWW.

%prep
%setup -n %name-QPL-%version
%patch -p1

%build
xmkmf -a
make
#cd po
#xmkmf -a
#make

%install
mkdir -p %buildroot%_x11bindir
install -s tgif %buildroot%_x11bindir

mkdir -p %buildroot%_x11libdir/X11/tgif
install -c -m 0644 tgif.Xdefaults %buildroot%_x11libdir/X11/tgif
install -c -m 0644 *.eps %buildroot%_x11libdir/X11/tgif
install -c -m 0644 *.obj %buildroot%_x11libdir/X11/tgif
install -c -m 0644 *.xbm %buildroot%_x11libdir/X11/tgif
install -c -m 0644 *.xpm %buildroot%_x11libdir/X11/tgif
install -c -m 0644 *.sym %buildroot%_x11libdir/X11/tgif

mkdir -p %buildroot%_x11mandir/man1
install -c -m 0644 tgif.man %buildroot%_x11mandir/man1/tgif.1

#mkdir -p %buildroot%_x11datadir/locale/ru/LC_MESSAGES
#install -c -m 0444 po/ru/ru.mo %buildroot%_x11datadir/locale/ru/LC_MESSAGES/tgif.mo

%files
%doc  README Copyright HISTORY LICENSE.QPL
%_x11bindir/*
%_x11libdir/X11/tgif/*
%_x11mandir/man1/*
#%_x11datadir/locale/ru/LC_MESSAGES/*

%changelog
* Mon Sep 15 2003 Ott Alex <ott@altlinux.ru> 4.1.43-alt2
- Fixing spec

* Tue Sep 02 2003 Ott Alex <ott@altlinux.ru> 4.1.43-alt1
- New main release

* Sun Sep 01 2002 Ott Alex <ott@altlinux.ru> 4.1.42-alt1
- Initial build

